package org.mik;

import java.util.List;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;


public class Main {

    // Sajnos nem l az adatbzisszerver, nem tudja kiprblni, 
    // fleg a persistence.xml kedvrt raktam ide.
    private static final String PERSISTENCE_UNIT_NAME = "students";
    private static EntityManagerFactory factory;

    public static void main(String[] args) {
        new Main().start();
    }

    private void start() {
        factory = Persistence.createEntityManagerFactory(PERSISTENCE_UNIT_NAME);
        EntityManager em = factory.createEntityManager();

        String sqlCommand = "select s from Student s";
        Query q = em.createQuery(sqlCommand);

        List<Student> studentList = q.getResultList();
        print(studentList);

        q = em.createQuery(sqlCommand);
        studentList = q.getResultList();
        print(studentList);

        em.close();
    }

    private void print(List<Student> studentList) {
        System.out.println("The students");
        for (Student student : studentList) {
            System.out.println(student);
        }
        System.out.println("Size: " + studentList.size());
    }
}
